## ros-indigo-cob-navigation-local 0.6.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_navigation_local)

find_package(catkin REQUIRED)

catkin_package()

#############
## Install ##
#############

install(DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############
SET(robotlist
    cob4-2
    cob4-5
    cob4-7
    raw3-1
    raw3-3
    raw3-5
)
    
if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  foreach(robot ${robotlist})
    message("testing for robot: ${robot}")
    roslaunch_add_file_check(launch ROBOT=${robot})    # testing environment variables
    roslaunch_add_file_check(launch robot:=${robot})   # testing launch file arguments
  endforeach()
endif()

=== debian/changelog ===
ros-indigo-cob-navigation-local (0.6.7-0trusty) trusty; urgency=high



 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-navigation-local (0.6.6-0trusty) trusty; urgency=high

  * Merge pull request #97 <https://github.com/ipa320/cob_navigation/issues/97> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #91 <https://github.com/ipa320/cob_navigation/issues/91> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #89 <https://github.com/ipa320/cob_navigation/issues/89> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fez, ipa-fxm, ipa-uhr-mk

 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-navigation-local (0.6.5-0trusty) trusty; urgency=high

  * remove nav config for unsupported bases
  * arg pkg_nav_config
  * restructure nav config
  * use exported robotlist and envlist
  * remove cob4-1
  * remove obsolete configs due to unsupported robots
  * enable roslaunch checks (requires ros_comm #814 <https://github.com/ipa320/cob_navigation/issues/814> to be merged and released)
  * add dependency to dwa_local_planner (was not automatically installed using apt-get)
  * Added namespace to parameter loading
  * Adapted config for cob_navigation_local
  * adapt local rviz config
  * Contributors: Florian Weisshardt, ipa-fxm, teddy

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-navigation-local (0.6.4-0trusty) trusty; urgency=high

  * restructure laser topics
  * adapt twist_mux topic names according to https://github.com/ipa320/orga/pull/1#issuecomment-159195427
  * changed base command topic names to twist_mux topic input
  * Contributors: Benjamin Maidel, ipa-fmw, ipa-fxm

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-navigation-local (0.6.3-0trusty) trusty; urgency=high

  * migration to package format v2, indentation fixes
  * Contributors: ipa-mig

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-navigation-local (0.6.2-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-navigation-local (0.6.1-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-indigo-cob-navigation-local (0.6.0-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Tue, 09 Sep 2014 22:00:00 -0000

ros-indigo-cob-navigation-local (0.5.2-0trusty) trusty; urgency=high

  * Update package.xml
  * Contributors: Florian Weisshardt

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-navigation-local (0.5.1-0trusty) trusty; urgency=high

  * add changelog
  * version bump
  * remove more not needed files
  * adjust CMakeLists and package.xml
  * set author/maintainer email
  * change config to groovy
  * change to groovy rviz config
  * Catkinisation and gitignore.
  * remove dep to cob_driver
  * add roslaunch tests
  * adjust launch files for planner config files and add launch arg to linear nav
  * introduce launch args
  * add missing dependency
  * added rviz launch files and config files
  * add dwa as local navigation mode
  * fix wiki links inf manifest.xml and stack.xml
  * update on xml-files for correct remapping and to delete old parameters
  * update of the manifest-files in cob_navigation_global/cob_navigation_local, cob_vel_integrator -> cob_base_velocity_smoother
  * removal of cob_base_velocity_smoother, moved to stack cob_driver
  * namechanges from cob_vel_integrator to cob_base_velocity_smoother
  * adjust manifests for documentation
  * update deps
  * integrate cob_vel_integrator yaml and fix wrong inclusions
  * merge branch raw3-1 into master
  * fix roslaunch tests
  * refactoring of cob_navigation_local
  * refactoring of cob_navigation_config; current cob_drivers required
  * modifications for raw3-1
  * rearrange stack
  * add missed file
  * rename cob_linear_nav to cob_navigation_linear, rearrange again
  * fix include mistakes
  * tidy up and rearrange
  * Contributors: Alexander Bubeck, Florian Mirus, Florian Weisshardt, Florian Weißhardt, IPR-SR2, ipa-fmw, ipa-frm, ipa-mig
  * Catkinisation and gitignore.
  * remove dep to cob_driver
  * add roslaunch tests
  * adjust launch files for planner config files and add launch arg to linear nav
  * introduce launch args
  * add missing dependency
  * added rviz launch files and config files
  * add dwa as local navigation mode
  * fix wiki links inf manifest.xml and stack.xml
  * update on xml-files for correct remapping and to delete old parameters
  * update of the manifest-files in cob_navigation_global/cob_navigation_local, cob_vel_integrator -> cob_base_velocity_smoother
  * removal of cob_base_velocity_smoother, moved to stack cob_driver
  * namechanges from cob_vel_integrator to cob_base_velocity_smoother
  * adjust manifests for documentation
  * update deps
  * integrate cob_vel_integrator yaml and fix wrong inclusions
  * merge branch raw3-1 into master
  * fix roslaunch tests
  * refactoring of cob_navigation_local
  * refactoring of cob_navigation_config; current cob_drivers required
  * modifications for raw3-1
  * rearrange stack
  * add missed file
  * rename cob_linear_nav to cob_navigation_linear, rearrange again
  * fix include mistakes
  * tidy up and rearrange
  * Contributors: Alexander Bubeck, Florian Mirus, Florian Weißhardt, IPR-SR2, ipa-fmw, ipa-frm, ipa-mig

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Thu, 20 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-cob-navigation-local
Section: misc
Priority: extra
Maintainer: Felix Zeltner <fez@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cob-supported-robots, ros-indigo-roslaunch
Homepage: http://ros.org/wiki/cob_navigation_local
Standards-Version: 3.9.2

Package: ros-indigo-cob-navigation-local
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cob-navigation-config, ros-indigo-dwa-local-planner, ros-indigo-move-base, ros-indigo-rviz
Description: This package holds config and launch files for running the move_base node on the Care-O-bot in an odometric frame.
 No static map is needed for the move_base node in this configuration.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-navigation-local//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
